import { PropertyValues } from "lit";
import { ElementDefinitionsMap, FtLitElement } from "@fluid-topics/ft-wc-utils";
import { FtTooltipProperties, Position } from "./ft-tooltip.properties";
export declare class FtTooltip extends FtLitElement implements FtTooltipProperties {
    static elementDefinitions: ElementDefinitionsMap;
    static styles: import("lit").CSSResult;
    text: string;
    manual: boolean;
    inline: boolean;
    delay: number;
    position: Position;
    private slotNodes?;
    private container?;
    private tooltip?;
    private tooltipContent?;
    private visible;
    private readonly validPositions;
    private get validPosition();
    protected render(): import("lit").TemplateResult<1>;
    protected updated(props: PropertyValues): void;
    protected contentAvailableCallback(props: PropertyValues): void;
    private hideDebounce;
    show(duration?: number): Promise<void>;
    hide(): void;
    toggle(): void;
    private get slottedElement();
    private resetTooltipContent;
    private revealDebouncer;
    private positionTooltip;
    private onTouch;
    private onHover;
    private onOut;
    private onClick;
    private correctOutOfWindowPixels;
}
