import { css } from "lit";
import { designSystemVariables, FtCssVariableFactory } from "@fluid-topics/ft-wc-utils";
export const FtTooltipCssVariables = {
    distance: FtCssVariableFactory.create("--ft-tooltip-distance", "", "SIZE", "4px"),
    color: FtCssVariableFactory.create("--ft-tooltip-color", "", "COLOR", "#FFFFFF"),
    backgroundColor: FtCssVariableFactory.create("--ft-tooltip-background-color", "", "COLOR", "#666666"),
    zIndex: FtCssVariableFactory.create("--ft-tooltip-z-index", "", "NUMBER", "100"),
    borderRadiusS: FtCssVariableFactory.external(designSystemVariables.borderRadiusS, "Design system"),
    maxWidth: FtCssVariableFactory.create("--ft-tooltip-max-width", "", "SIZE", "150px"),
};
// language=CSS
export const styles = css `
    .ft-tooltip--container {
        display: block;
    }

    .ft-tooltip--inline {
        display: inline-block;
        max-width: 100%;
    }

    .ft-tooltip {
        position: fixed;
        box-sizing: border-box;
        overflow: hidden;
        width: max-content;
        max-width: ${FtTooltipCssVariables.maxWidth};
        text-align: center;
        padding: ${FtTooltipCssVariables.distance};
        z-index: ${FtTooltipCssVariables.zIndex};
    }

    .ft-tooltip--content {
        padding: 4px 8px;
        border-radius: ${FtTooltipCssVariables.borderRadiusS};
        background-color: ${FtTooltipCssVariables.backgroundColor};
        color: ${FtTooltipCssVariables.color};
        position: relative;
        word-break: break-word;
    }
`;
